Bug 439444 - fence_apc does not fence cluster node
fence_apc does not fence cluster node
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.1
x86_64 Linux
low Severity urgent
: rc
: ---
Assigned To: Jim Parsons
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 14:17 EDT by Thomas Walker
Modified: 2009-04-16 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 08:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Walker 2008-03-28 14:17:58 EDT
Description of problem:

RHEL 5.1 Cluster, kernel 2.6.18-53.1.13.el5
cman version cman-2.0.73-1.el5_1.1
APC Master switch APC7901, firmware apc_hw02_aos357_rpdu356.exe

Related to Bugzilla 245675,396581 but fix listed in those still does not work.

fencing of a node produces nothing.  Tried fencing a node from luci and with
fence_node -O but neither works.  No errors, process just sits there;

root      6756  5321  0 14:06 pts/0    00:00:00 fence_node -O 10.0.0.3
root      6757  6756  1 14:06 pts/0    00:00:00 /usr/bin/python /sbin/fence_apc

However, an interactive fence_apc command does work, so the switch is answering;

# fence_apc -a 10.0.0.24 -l apc -p apc -n 1 -o Status
Status check successful. Port 1 is ON


Version-Release number of selected component (if applicable):

see above


How reproducible:

  Very.  Sending a fence command from luci or with fence_node does not produce
any result or error.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thomas Walker 2008-03-31 07:53:48 EDT
   Apparently I was in error somehow.  I rebuilt the cluster config from scratch
and now fencing works.  You can close this case.

 Thomas Walker

Note You need to log in before you can comment on or make changes to this bug.